ListVariantsWithUpdatedInventory will return any variant that:
You call thisScope not enforced
GET
/v2/storefront/listing/variant/inventory/updated
const url = 'https://api.zentail.com/v2/storefront/listing/variant/inventory/updated';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.zentail.com/v2/storefront/listing/variant/inventory/updated \ --header 'Authorization: Bearer <token>'-
Has an inventory change since the last timestamp
-
Inventory Data is enabled for the Variant
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters”since
string format: date-time
cursor
string
Responses
Section titled “ Responses ”A successful response.
Media typeapplication/json
ListVariantsResponse is the response object containing a list of Variants
object
variants
Array<object>
Variant is a representation of a specific SKU in a listing
LATER: comment this moreobject
sku
string
channelId
string
settings
Any Integration-level Settings will be merged with Variant-level Settings to produce these Settings.
object
key
additional properties
string
inventory
Inventory contains information about the availability of this variant
object
enabled
boolean
totalQuantity
total_quantity should be the sum of merchant_fulfillable_inventory
and storefront_fulfillable_quantity
string format: int64
merchantFulfillableQuantity
string format: int64
merchantFulfillableWarehouseQuantities
Array<object>
object
warehouseId
string
quantity
string format: int64
storefrontFulfillableQuantity
string format: int64
updatedAt
string format: date-time
identifiers
Attributes is a container for a list of attributes of a similar
classification
object
enabled
boolean
attributes
Array<object>
Attribute has data that describes a Listing or a Listing's Variantsobject
id
string
textValue
string
numericValue
number format: double
numericWithUnitsValue
NumericWithUnits supports values like 1 lb
object
numeric
number format: double
units
string
multiTextValue
MultiText supports a value that has multiple sub-values
(e.g. bullet points)
object
values
Array<string>
moneyValue
Money supports values like with amount and currency_code
object
amount
string
currencyCode
string
multiObjectValue
Object supports a set of keys and values
object
items
Array<object>
object
properties
object
key
additional properties
object
textValue
string
numericValue
number format: double
numericWithUnitsValue
NumericWithUnits supports values like 1 lb
object
numeric
number format: double
units
string
multiTextValue
MultiText supports a value that has multiple sub-values
(e.g. bullet points)
object
values
Array<string>
moneyValue
Money supports values like with amount and currency_code
object
amount
string
currencyCode
string
multiObjectValue
object recursive
versionId
string
updatedAt
string format: date-time
submittedAt
string format: date-time
updatedAt
string format: date-time
productData
Attributes is a container for a list of attributes of a similar
classification
object
enabled
boolean
attributes
Array<object>
Attribute has data that describes a Listing or a Listing's Variantsobject
id
string
textValue
string
numericValue
number format: double
numericWithUnitsValue
NumericWithUnits supports values like 1 lb
object
numeric
number format: double
units
string
multiTextValue
MultiText supports a value that has multiple sub-values
(e.g. bullet points)
object
values
Array<string>
moneyValue
Money supports values like with amount and currency_code
object
amount
string
currencyCode
string
multiObjectValue
Object supports a set of keys and values
object
items
Array<object>
object
properties
object
key
additional properties
object
textValue
string
numericValue
number format: double
numericWithUnitsValue
NumericWithUnits supports values like 1 lb
object
numeric
number format: double
units
string
multiTextValue
MultiText supports a value that has multiple sub-values
(e.g. bullet points)
object
values
Array<string>
moneyValue
Money supports values like with amount and currency_code
object
amount
string
currencyCode
string
multiObjectValue
object recursive
versionId
string
updatedAt
string format: date-time
submittedAt
string format: date-time
updatedAt
string format: date-time
pricing
Pricing is a container for a list of pricing attributes as well as
structured information about scheduled sales
object
enabled
boolean
attributes
Array<object>
Attribute has data that describes a Listing or a Listing's Variantsobject
id
string
textValue
string
numericValue
number format: double
numericWithUnitsValue
NumericWithUnits supports values like 1 lb
object
numeric
number format: double
units
string
multiTextValue
MultiText supports a value that has multiple sub-values
(e.g. bullet points)
object
values
Array<string>
moneyValue
Money supports values like with amount and currency_code
object
amount
string
currencyCode
string
multiObjectValue
Object supports a set of keys and values
object
items
Array<object>
object
properties
object
key
additional properties
object
textValue
string
numericValue
number format: double
numericWithUnitsValue
NumericWithUnits supports values like 1 lb
object
numeric
number format: double
units
string
multiTextValue
MultiText supports a value that has multiple sub-values
(e.g. bullet points)
object
values
Array<string>
moneyValue
Money supports values like with amount and currency_code
object
amount
string
currencyCode
string
multiObjectValue
object recursive
versionId
string
updatedAt
string format: date-time
submittedAt
string format: date-time
updatedAt
string format: date-time
sales
Array<object>
object
strikeThroughPrice
number format: double
salePrice
number format: double
startAt
string format: date-time
endAt
string format: date-time
logistics
Attributes is a container for a list of attributes of a similar
classification
object
enabled
boolean
attributes
Array<object>
Attribute has data that describes a Listing or a Listing's Variantsobject
id
string
textValue
string
numericValue
number format: double
numericWithUnitsValue
NumericWithUnits supports values like 1 lb
object
numeric
number format: double
units
string
multiTextValue
MultiText supports a value that has multiple sub-values
(e.g. bullet points)
object
values
Array<string>
moneyValue
Money supports values like with amount and currency_code
object
amount
string
currencyCode
string
multiObjectValue
Object supports a set of keys and values
object
items
Array<object>
object
properties
object
key
additional properties
object
textValue
string
numericValue
number format: double
numericWithUnitsValue
NumericWithUnits supports values like 1 lb
object
numeric
number format: double
units
string
multiTextValue
MultiText supports a value that has multiple sub-values
(e.g. bullet points)
object
values
Array<string>
moneyValue
Money supports values like with amount and currency_code
object
amount
string
currencyCode
string
multiObjectValue
object recursive
versionId
string
updatedAt
string format: date-time
submittedAt
string format: date-time
updatedAt
string format: date-time
nextPageCursor
The cursor token for the next page of results. If empty, there are no more results.
string
Examplegenerated
{ "variants": [ { "sku": "example", "channelId": "example", "settings": { "additionalProperty": "example" }, "inventory": { "enabled": true, "totalQuantity": "example", "merchantFulfillableQuantity": "example", "merchantFulfillableWarehouseQuantities": [ { "warehouseId": "example", "quantity": "example" } ], "storefrontFulfillableQuantity": "example", "updatedAt": "2026-04-15T12:00:00Z" }, "identifiers": { "enabled": true, "attributes": [ { "id": "example", "textValue": "example", "numericValue": 1, "numericWithUnitsValue": { "numeric": 1, "units": "example" }, "multiTextValue": { "values": [ "example" ] }, "moneyValue": { "amount": "example", "currencyCode": "example" }, "multiObjectValue": { "items": [ { "properties": { "additionalProperty": { "textValue": "example", "numericValue": 1, "numericWithUnitsValue": { "numeric": 1, "units": "example" }, "multiTextValue": { "values": [ "example" ] }, "moneyValue": { "amount": "example", "currencyCode": "example" }, "multiObjectValue": {} } } } ] }, "versionId": "example", "updatedAt": "2026-04-15T12:00:00Z", "submittedAt": "2026-04-15T12:00:00Z" } ], "updatedAt": "2026-04-15T12:00:00Z" }, "productData": { "enabled": true, "attributes": [ { "id": "example", "textValue": "example", "numericValue": 1, "numericWithUnitsValue": { "numeric": 1, "units": "example" }, "multiTextValue": { "values": [ "example" ] }, "moneyValue": { "amount": "example", "currencyCode": "example" }, "multiObjectValue": { "items": [ { "properties": { "additionalProperty": { "textValue": "example", "numericValue": 1, "numericWithUnitsValue": { "numeric": 1, "units": "example" }, "multiTextValue": { "values": [ "example" ] }, "moneyValue": { "amount": "example", "currencyCode": "example" }, "multiObjectValue": {} } } } ] }, "versionId": "example", "updatedAt": "2026-04-15T12:00:00Z", "submittedAt": "2026-04-15T12:00:00Z" } ], "updatedAt": "2026-04-15T12:00:00Z" }, "pricing": { "enabled": true, "attributes": [ { "id": "example", "textValue": "example", "numericValue": 1, "numericWithUnitsValue": { "numeric": 1, "units": "example" }, "multiTextValue": { "values": [ "example" ] }, "moneyValue": { "amount": "example", "currencyCode": "example" }, "multiObjectValue": { "items": [ { "properties": { "additionalProperty": { "textValue": "example", "numericValue": 1, "numericWithUnitsValue": { "numeric": 1, "units": "example" }, "multiTextValue": { "values": [ "example" ] }, "moneyValue": { "amount": "example", "currencyCode": "example" }, "multiObjectValue": {} } } } ] }, "versionId": "example", "updatedAt": "2026-04-15T12:00:00Z", "submittedAt": "2026-04-15T12:00:00Z" } ], "updatedAt": "2026-04-15T12:00:00Z", "sales": [ { "strikeThroughPrice": 1, "salePrice": 1, "startAt": "2026-04-15T12:00:00Z", "endAt": "2026-04-15T12:00:00Z" } ] }, "logistics": { "enabled": true, "attributes": [ { "id": "example", "textValue": "example", "numericValue": 1, "numericWithUnitsValue": { "numeric": 1, "units": "example" }, "multiTextValue": { "values": [ "example" ] }, "moneyValue": { "amount": "example", "currencyCode": "example" }, "multiObjectValue": { "items": [ { "properties": { "additionalProperty": { "textValue": "example", "numericValue": 1, "numericWithUnitsValue": { "numeric": 1, "units": "example" }, "multiTextValue": { "values": [ "example" ] }, "moneyValue": { "amount": "example", "currencyCode": "example" }, "multiObjectValue": {} } } } ] }, "versionId": "example", "updatedAt": "2026-04-15T12:00:00Z", "submittedAt": "2026-04-15T12:00:00Z" } ], "updatedAt": "2026-04-15T12:00:00Z" } } ], "nextPageCursor": "example"}default
Section titled “default”An unexpected error response.
Media typeapplication/json
object
code
integer format: int32
message
string
details
Array<object>
object
@type
string
key
additional properties
Examplegenerated
{ "code": 1, "message": "example", "details": [ { "@type": "example" } ]}